Página 1 de 2 12 ÚltimoÚltimo
+ Responder ao Tópico



  1. ola galera, boa tarde, minha zica é a seguinte.
    fiz a compilação do postfix tudo blz, até então e-mail para fora ele envia normalmente, o meu problema é o seguinte. se tento enviar para usuarios da minha base de dados ele não envia, uso o postifx com o mysql+courier-imap
    /var/log/maillog
    Apr 6 17:52:59 servidor postfix/local[20128]: fatal: incorrect version of Berkeley DB: compiled against 4.2.52, run-time linked against 4.0.14
    Apr 6 17:53:00 servidor postfix/master[20115]: warning: process /usr/lib/postfix/local pid 20128 exit status 1
    Apr 6 17:53:00 servidor postfix/master[20115]: warning: /usr/lib/postfix/local: bad command startup -- throttling

    agora o erro que da na hora de enviar interno

    Apr 6 17:56:46 servidor postfix/pickup[20116]: 712182BA16: uid=0 from=<root>
    Apr 6 17:56:46 servidor postfix/cleanup[20136]: 712182BA16: message-id=<20050406205646.712182BA16@servidor.linux.com.br>
    Apr 6 17:56:46 servidor postfix/qmgr[20117]: 712182BA16: from=<root@local.com.br>, size=325, nrcpt=1 (queue active)
    Apr 6 17:56:46 servidor pipe[20144]: fatal: pipe_comand: execvp /usr/local/maildrop: No such file or directory
    Apr 6 17:56:48 servidor postfix/pipe[20143]: 712182BA16: to=<suporte@linux.com.br>, relay=maildrop, delay=2, status=bounced (Command died with status 1: "/usr/local/maildrop")
    Apr 6 17:56:48 servidor postfix/cleanup[20136]: 161562BA17: message-id=<20050406205648.161562BA17@servidor.linux.com.br>
    Apr 6 17:56:48 servidor postfix/qmgr[20117]: 161562BA17: from=<>, size=2077, nrcpt=1 (queue active)
    Apr 6 17:56:48 servidor postfix/qmgr[20117]: 712182BA16: removed

  2. #2
    karfax
    Apr 6 17:52:59 servidor postfix/local[20128]: fatal: incorrect version of Berkeley DB: compiled against 4.2.52, run-time linked against 4.0.14

    Isso aqui não chega?

    Sds



  3. Citação Postado originalmente por karfax
    Apr 6 17:52:59 servidor postfix/local[20128]: fatal: incorrect version of Berkeley DB: compiled against 4.2.52, run-time linked against 4.0.14

    Isso aqui não chega?

    Sds
    certo ae ele fala que a versão do Berkeley DB é uma versão incorreta, certo e manda eu compilar a versão 4.2.52, e linkar ela para 4.0.14, certo. e onde eu acho este Berkeley, ou seja onde e como faço isto, preciso recompilar o postfix, ou não ha necessidade

  4. #4
    karfax
    Não é isso, o script diz que:
    O postfix foi compilado para usar a BerkleyDB 4.2.52, no entanto em run time (tempo de execção) a versão que achou foi diferente: 4.0.14.

    Uma possível solução: voce perguntar ao script (ex.: ./configure --help) quais as flags que apontam para o local onde ele deve achar as libs do db, e inserir esse parâmetro quando for rodar o script.
    Ex.: ./configure --with-db-libs=/usr/include
    O parâmetro acima é apenas um exemplo.
    Ou talvés quais os parâmetros que identificam o local onde devem estar as db4-libs
    As db's serão db4 e db4-devel.

    HTH,



  5. #5
    boa tarde.
    é o seguinte na compilação que eu tinha não aparecia o ./configure não encontrei, mas na opção make coloque o que vc me sugeriu, mas não resolveu. dae então eu removi o postfix, e instalei via apt-get
    pra ver se dava a msg a té ae tudo bem, depois removi ele e fui tentar recompilado para ver se resovia o problema, no entando sempre que inico ele agora ele me retorna a seguinte msg
    Apr 11 15:25:57 servidor postfix/postfix-script: warning: damaged message: corrupt/B46BE2BA52
    Apr 11 15:25:57 servidor postfix/postfix-script: warning: damaged message: corrupt/BB60F2BA5A
    Apr 11 15:25:58 servidor postfix/postfix-script: warning: damaged message: corrupt/B36902BA72
    Apr 11 15:25:58 servidor postfix/postfix-script: warning: damaged message: corrupt/BBF982BA74
    Apr 11 15:25:58 servidor postfix/postfix-script: warning: damaged message: corrupt/D3A912BA7C
    Apr 11 15:25:58 servidor postfix/postfix-script: warning: damaged message: corrupt/C6D232BA80
    Apr 11 15:25:58 servidor postfix/postfix-script: warning: damaged message: corrupt/39D1F2BA7D
    Apr 11 15:25:58 servidor postfix/postfix-script: warning: damaged message: corrupt/698832BA7F
    Apr 11 15:25:58 servidor postfix/postfix-script: warning: damaged message: corrupt/AA88D2BA84
    Apr 11 15:25:58 servidor postfix/postfix-script: warning: damaged message: corrupt/962872BA15
    e continha a msg postada sobre berkley






Tópicos Similares

  1. Erro no postfix
    Por sgeovane no fórum Servidores de Rede
    Respostas: 1
    Último Post: 26-04-2004, 13:44
  2. Mensagem de erro no Postfix
    Por masterclever no fórum Servidores de Rede
    Respostas: 0
    Último Post: 06-10-2003, 08:12
  3. Erro no Postfix
    Por Olavo-Brito no fórum Servidores de Rede
    Respostas: 3
    Último Post: 06-08-2003, 00:48
  4. erro no postfix
    Por Ritchie no fórum Servidores de Rede
    Respostas: 2
    Último Post: 10-03-2003, 14:23
  5. Erro no Postfix
    Por wrochal no fórum Servidores de Rede
    Respostas: 0
    Último Post: 25-02-2003, 16:56

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L